import * as $dara from '@darabonba/typescript';
import { DescribeIdcProbeListResponseBody } from "./DescribeIdcProbeListResponseBody";
export declare class DescribeIdcProbeListResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeIdcProbeListResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
